include::../rule.adoc[]

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

Reduce the number of generic parameters in the '{type name}' [class|record|struct|interface] to no more than the {max} authorized.

Reduce the number of generic parameters in the '{type name}.{method name}' method to no more than the {maxMethod} authorized.


=== Parameters

.max
****

----
2
----

Maximum authorized number of generic parameters.
****
.maxMethod
****

----
3
----

Maximum authorized number of generic parameters for methods.
****


'''
== Comments And Links
(visible only on this page)

=== on 6 Nov 2017, 16:41:28 Amaury Levé wrote:
Could you review the change? Just to make sure I have declared the 2 parameters correctly.

=== on 6 Nov 2017, 19:45:33 Ann Campbell wrote:
Looks good [~amaury.leve]

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
